BSFILT(1)

NAME
bsfilt, colcrt - a colcrt-like backspace filter

SYNOPSIS
bsfilt [ - ] [ -U ] [ file ... ]

DESCRIPTION
Bsfilt filters backspace sequences from the input file(s) (standard input if none) in an approximation of colcrt(1). Both the backspace and the character it returns to are removed, unless they form an underline sequence. Underline sequences are treated according to the settings of the - and -U options.

OPTIONS

-   specifies that no underlining of any kind is to be propagated. Without this option or the -U option, bsfilt approximates underlining with minus signs (`-') in following lines.

-U  specifies that underlining with underscore (`_') and backspace (` character sequences is permitted.

SEE ALSO
cawf(1), colcrt(1) and nroff(1).

DIAGNOSTICS
Diagnostic messages are delivered to the standard error file.

HISTORY
Vic Abell of Purdue University wrote bsfilt to have a backspace filter for cawf(1) that is independent of licensed source code.

BUGS
The maximum length of a line that can be underlined with minus signs is fixed.

Bsfilt does not examine the characters that are being overprinted via backspace operations. Thus, overprinting that is intended to form a new character from several different ones is ineffective and only the last character of the sequence is propagated - e. g., ``o^H+'', intended to look like a bullet, is reduced to `+'.